Subject: Re: Data Systems Design DSD-880 8" floppy and hard drive?

From: Megan <[email-masked]>
Date: Sat Jul 26 21:01:07 2003

>   Actually, for device I/O, it doesn't matter whether 
>one is using 16, 18, or 22 bit addressing.  The PDP-11 
>I/O page is defined as from 28KW-32KW, which is entirely 
>within the range of 16bit addressing.

Actually, the I/O page is defined as the highest 8kb (4kw) in memory. For 
a 16-bit machine, that is indeed 28kw-32kw. But it is not correct for an 
18-bit or 22-bit machine.

The best way to think of it is simply 8kb which is discontiguous with, and 
above, the available memory.  Access to it is triggered by use of '1' in 
the high-order 3 places of a sixteen bit address.

Of course if you have MMGT turned on, then these bits simply select the 
appropriate page, which may or may not be the I/O page.

                                        Megan Gentry
                                        Former RT-11 Developer

+--------------------------------+-------------------------------------+
| Megan Gentry, EMT/B, PP-ASEL   | email: mbg at world.std.com         |
| Member of Technical Staff      |        megan at savaje.com          |
| SavaJe Technologies, Inc.      |             (s/ at /@/)             |
| 100 Apollo Drive               | URL:     http://world.std.com/~mbg/ |
| Chelmsford, MA 01460           | "pdp-11 programmer - some assembler |
| (978) 256 6521   (DEC '77-'98) |  required." - mbg            KB1FCA |
+--------------------------------+-------------------------------------+
Formerly with DEC/Compaq/HP

---

From: Frank Arnold <[email-masked]>
Date: Sat Jul 26 21:11:44 2003

>Message: 39
>Date: Wed, 23 Jul 2003 06:59:49
>To: [email-masked]
>From: Joe <[email-masked]>
>Subject: Re: Data Systems Design DSD-880 8" floppy and hard drive?
>Reply-To: [email-masked]
>
>At 10:19 PM 7/22/03 -0400, you wrote:
>>>Bob Shannon wrote:
>>
>>> The DSD boxes I used do not emulate DEC drives, and made the 45 meg hard
>>> drive
>>> available as a single device.
>>
>>Jerome Fine replies:
>>
>>As far as I know, the DSD 880/8 and the DSD 880/30 all used
>>only a Qbus controller.  And they accepted the standard DEC
>>device drivers in RT-11.
>>

Ok, I can enhance this info somewhat.

I used both DSD 880 -8 and -30. (with great pleasure!)

They interfaced via a 26 pin flatcable to a host Adapter, and I had both
adapters for Q-bus and Unibus. Q-bus adapter was 22-bit.
(in fact, we used a 25 pole data-switch in this flat-cable to switch this
storage-system between 2 machines, as desired)

I used this storage subsystem under RSX11-M with standard drivers, DSD provided
a utility diskette with some handouts about RSX and RT and some driver-patches
(eg for 8-meg extended RL01, or RX03) that I never used. Should have this disk
still sopmewhere. Any interest?

If it is an DSD880 for pdp11, then the emulation is RX / RL. If it is emulating
MSCP its probably the DSD 9xx series of devices.

DSD440 is a dual 8" floppy, in 5" enclosure (Half RX02-formfactor!)
and providing RX01, -02, -03 emulation for all DEC OS's of those days.

I remember there were also adapters for other architectures / busses, DSD did
not limit the 440 or 880 to DEC-machines.

>>There may have been other DSD boxes in addition the the DSD 880
>>and DSD 440, but I had not heard about them, let alone the details.
>
>   FWIW I was looking through my Intel docs last night and found a manual
>for a DSD Multibus hard drive controller.
>

I think there was also an adapter for some Motorola 68k based system...

Frank Arnold